Name:           tex-prerex-gui
Version:        6.4.2
Release:        2%{?dist}
Summary:        Graphical front-end and viewer for the prerex editor

Group:          Applications/Editors
License:        GPLv2
URL:            http://www.ctan.org/tex-archive/graphics/prerex
Source0:        http://mirrors.ctan.org/graphics/prerex/vprerex-%version.tar.gz
Source1:        vprerex.desktop
Source2:        vprerex.png
BuildRoot:      %{_topdir}/BUILDROOT/

BuildRequires:  desktop-file-utils, qt-devel > 4.0, poppler-devel, poppler-qt-devel
Requires:       poppler-qt4, xterm, tex-prerex-bin 

%description

This program provides vprerex (visual prerex), a graphical front-end
and viewer for the prerex interactive editor of prerequisite-chart
descriptions in the prerex format. The viewer may be used just as a
minimalist viewer of arbitrary PDF files but supports editing of charts
generated using prerex.sty by allowing coordinates of course boxes,
arrows, and background points to be conveyed over to the prerex editor
command-line using the clipboard.

%prep
%setup -q  -n vprerex-%version


%build
# configure
qmake-qt4 vprerex.pro
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir}/
cp -p vprerex %{buildroot}%{_bindir}/
gzip vprerex.1
mkdir -p %{buildroot}%{_mandir}/man1
cp -p vprerex.1.gz %{buildroot}%{_mandir}/man1
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/icons
cp -p %{SOURCE2} %{buildroot}%{_datadir}/icons

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc README COPYING ChangeLog
%{_mandir}/man1/*
%{_datadir}/applications/vprerex.desktop
%{_datadir}/icons/vprerex.png

%changelog
* Sun Mar 17 2013 Jindrich Novy <novyjindrich@gmail.com> - 6.4.2-2
- fix BR: poppler-qt-devel

* Wed Aug 22 2012 Bob Tennent <rdt@cs.queensu.ca> - 6.4.2-1
- Initial version of the package

